<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= toolbar title: @color.name %>
<%= labelled_tabular_form_for @color,
            url: color_url(@color),
            html: {method: 'delete'},
            as: :color do |f| %>

  <div class='flash warning'>
    <%= t('colors.label_really_delete_color') %>
    <span class="close-handler" role="button" tabindex="0" aria-label="{{ ::I18n.t('js.close_popup_title') }}">
      <%= op_icon('icon-close') %>
    </span>
  </div>

  <fieldset class="form--fieldset">
    <legend class="form--fieldset-legend"><%= t('colors.label_properties') %></legend>
    <div class="form--field">
      <%= f.text_field :hexcode, disabled: 'disabled' %>
      <%= icon_for_color(@color) %>
    </div>
  </fieldset>

  <%= submit_tag t(:button_delete), class: 'button -primary' %>
  <%= link_to t(:button_cancel), colors_path, class: 'button' %>
<% end %>
